Subject: Re: 24.1.50; unexec/unexmacosx doesn't grok GCC 4.6+ sections

From: Peter Dyballa <[email-masked]>
Date: Sun, 5 Oct 2014 20:36:57 +0200

Am 04.10.2014 um 19:19 schrieb Paul Eggert:

> If I understand you correctly, you're saying that GNU Emacs 24.3.94 has the bug, and that the bug went away when you applied the patch (attached), and that we should therefore backport this patch to the emacs-24 branch.  Is that what you meant?

Exactly! I cannot check whether trunk, GNU Emacs 25.0.50, can be compiled because I get an error when I try to build with GCC 4.8.3 or any other C compiler, except GCC 4.0:

	@(#)PROGRAM:ld  PROJECT:ld64-136
	configured to support archs: i386 x86_64 armv7 armv7s
	Library search paths:
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib
		/opt/local/lib/gcc48/gcc/x86_64-apple-darwin10/4.8.3
		/opt/local/lib/gcc48
		/usr/lib
		/usr/local/lib
	Framework search paths:
		/Library/Frameworks/
		/System/Library/Frameworks/
	duplicate symbol _Qleft in:
	    keyboard.o
	    buffer.o
	duplicate symbol _Qright in:
	    keyboard.o
	    buffer.o
	ld: 2 duplicate symbols for architecture x86_64
	collect2: error: ld returned 1 exit status
	make[2]: *** [temacs] Error 1
	make[1]: *** [src] Error 2
	make: *** [bootstrap] Error 2

--
Greetings

  Pete

A lot of people mistake a short memory for a clear conscience.
				– Doug Larson